<span class="cross" />

<style>
  :root {
    --size: 100px;
    --stroke: 5px;
    --color: hsl(0deg 76% 41%);
  }

  .cross {
    --width: calc(var(--size) / 1.5); /* Recalculate width based on --size */
    --top: calc((var(--size) * 0.2)); /* Calculate top percentage */
    --left: calc(var(--size) * 0.025); /* Calculate left percentage */

    position: relative;
    top: var(--top);
    left: var(--left);
  }

  .cross::before,
  .cross::after {
    position: absolute;
    width: var(--stroke);
    height: var(--width);
    background-color: var(--color);
    content: '';
    transform-origin: top center;
  }

  .cross::before {
    top: calc(var(--width) * 0.15);
    left: calc(var(--width) * 0.3);
    animation: animate-right 0.2s linear both;
    animation-delay: 0.7s;
    transform: rotate(45deg) scaleY(0); /* Start position */
  }

  .cross::after {
    top: calc(var(--width) * 0.15);
    right: calc(var(--width) * 0.3);
    animation: animate-left 0.2s linear both;
    animation-delay: 0.9s;
    transform: rotate(-45deg) scaleY(0); /* Start position */
  }

  @keyframes animate-right {
    0% {
      transform: rotate(45deg) scaleY(0); /* Right stroke down */
    }

    100% {
      transform: rotate(45deg) scaleY(1); /* Initial and final position */
    }
  }

  @keyframes animate-left {
    0% {
      transform: rotate(-45deg) scaleY(0); /* Right stroke down */
    }

    100% {
      transform: rotate(-45deg) scaleY(1); /* Initial and final position */
    }
  }
</style>
